commit 41377d0f4e791bcdd848e11eac172b8e81ecb6ec
Author: Jeevitha <jeevitha@linux.ibm.com>
Date:   Mon Oct 21 04:01:46 2024 -0500

    rs6000: Correct the function code for _AMO_LD_DEC_BOUNDED
    
    Corrected the function code for the Atomic Memory Operation "Fetch and Decrement
    Bounded", changing it from 0x1A to 0x1C.
    
    2024-10-11 Jeevitha Palanisamy <jeevitha@linux.ibm.com>
    
    gcc/
    
            * config/rs6000/amo.h (enum _AMO_LD): Correct the function code for
            _AMO_LD_DEC_BOUNDED.
    
    (cherry picked from commit 1a4c5643a5911d130dfab9a064222baeeb7f9be7)

diff --git a/gcc/config/rs6000/amo.h b/gcc/config/rs6000/amo.h
index ea4668e0547..47d19ee181c 100644
--- a/gcc/config/rs6000/amo.h
+++ b/gcc/config/rs6000/amo.h
@@ -46,7 +46,7 @@ enum _AMO_LD {
   _AMO_LD_CS_NE		= 0x10,		/* Compare and Swap Not Equal.  */
   _AMO_LD_INC_BOUNDED	= 0x18,		/* Fetch and Increment Bounded.  */
   _AMO_LD_INC_EQUAL	= 0x19,		/* Fetch and Increment Equal.  */
-  _AMO_LD_DEC_BOUNDED	= 0x1A		/* Fetch and Decrement Bounded.  */
+  _AMO_LD_DEC_BOUNDED	= 0x1C		/* Fetch and Decrement Bounded.  */
 };
 
 /* Implementation of the simple LWAT/LDAT operations that take one register and

